org.apache.ignite.configuration

## Class IgniteReflectionFactory<T>

- java.lang.Object
- - org.apache.ignite.configuration.IgniteReflectionFactory<T>

All Implemented Interfaces:
  Serializable, javax.cache.configuration.Factory<T>

    public class IgniteReflectionFactory<T>
    extends Object
    implements javax.cache.configuration.Factory<T>

Convenience class for reflection-based object creation.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgniteReflectionFactory()`
`IgniteReflectionFactory(Class<? extends T> cls)` Creates non-singleton component factory.
`IgniteReflectionFactory(Class<? extends T> cls, boolean singleton)`

### Method Summary

Methods
`T` `create()`
`Class<? extends T>` `getComponentClass()`
`Map<String,Serializable>` `getProperties()`
`boolean` `isSingleton()`
`void` `setComponentClass(Class<T> cls)`
`void` `setProperties(Map<String,Serializable> props)`
`void` `setSingleton(boolean singleton)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgniteReflectionFactory

    public IgniteReflectionFactory()

#### IgniteReflectionFactory

    public IgniteReflectionFactory(Class<? extends T> cls,
                           boolean singleton)

Parameters:
  `cls` - Component class.
  `singleton` - Singleton flag.

#### IgniteReflectionFactory

    public IgniteReflectionFactory(Class<? extends T> cls)

Creates non-singleton component factory.

Parameters:
  `cls` - Component class.

### Method Detail

#### isSingleton

    public boolean isSingleton()

Returns:
  `True` if factory is singleton.

#### setSingleton

    public void setSingleton(boolean singleton)

Parameters:
  `singleton` - Singleton flag.

#### getComponentClass

    public Class<? extends T> getComponentClass()

Returns:
  Component class to create.

#### setComponentClass

    public void setComponentClass(Class<T> cls)

Parameters:
  `cls` - Component class to create.

#### getProperties

    public Map<String,Serializable> getProperties()

Returns:
  Properties.

#### setProperties

    public void setProperties(Map<String,Serializable> props)

Parameters:
  `props` - Properties.

#### create

    public T create()

Specified by:
  `create` in interface `javax.cache.configuration.Factory<T>`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.1.0-incubating
Release Date | : May 20 2015